Time runs too fast

Bug #1046771 reported by Colin Watson on 2012-09-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
qemu-kvm (Ubuntu)
High
Serge Hallyn
Quantal
High
Serge Hallyn

Bug Description

While packaging GRUB 2.00 and testing it in kvm on quantal, I noticed that the timeout at the GRUB menu expires much too quickly. Initially I assumed that this was a regression in GRUB. However, it is apparently a known regression in qemu-kvm. This was reported to openSUSE (https://bugzilla.novell.com/show_bug.cgi?id=769138) and (judging from the openSUSE packaging) fixed in these two upstream commits:

  https://git.kernel.org/?p=virt/kvm/qemu-kvm.git;a=commitdiff;h=205df4d1a87cbb14a50655fb2c0a987467fb29d6
  https://git.kernel.org/?p=virt/kvm/qemu-kvm.git;a=commitdiff;h=050a46065de8e3d4ee5a04f5598d666f63d34800

Please could you backport these to quantal?

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: qemu-kvm 1.1~rc+dfsg-1ubuntu10
ProcVersionSignature: Ubuntu 3.5.0-8.8-generic 3.5.0
Uname: Linux 3.5.0-8-generic x86_64
ApportVersion: 2.5.1-0ubuntu4
Architecture: i386
Date: Thu Sep 6 11:28:06 2012
EcryptfsInUse: Yes
KvmCmdLine:
 UID PID PPID C SZ RSS PSR STIME TTY TIME CMD
 cjwatson 29982 21037 30 159878 82740 1 11:19 pts/13 00:03:09 kvm -monitor stdio -m 512 -hda debian-plain.img
MachineType: Dell Inc. Latitude D830
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-8-generic root=UUID=45b8cfe4-c971-4514-9e41-08f0592e8bf2 ro bootchart=disable quiet splash vt.handoff=7
SourcePackage: qemu-kvm
UpgradeStatus: Upgraded to quantal on 2012-06-11 (86 days ago)
dmi.bios.date: 06/07/2007
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A02
dmi.board.name: 0HN341
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA02:bd06/07/2007:svnDellInc.:pnLatitudeD830:pvr:rvnDellInc.:rn0HN341:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude D830
dmi.sys.vendor: Dell Inc.

Colin Watson (cjwatson) wrote :
James Page (james-page) on 2012-09-06
Changed in qemu-kvm (Ubuntu):
importance: Undecided → High
status: New → Confirmed
James Page (james-page) wrote :

I was able to confirm this - 2000 seconds disappeared in about 1.5 secs.

Changed in qemu-kvm (Ubuntu):
status: Confirmed → Triaged
Changed in qemu-kvm (Ubuntu):
assignee: nobody → Serge Hallyn (serge-hallyn)
Serge Hallyn (serge-hallyn) wrote :

(I could reproduce this on intel but not amd)

A package with the proposed fixes (plus one more which those depend on) is building in ppa:serge-hallyn/virt.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu-kvm - 1.1~rc+dfsg-1ubuntu11

---------------
qemu-kvm (1.1~rc+dfsg-1ubuntu11) quantal; urgency=low

  * Cherrypick three patches from upstream
    - kvm-i8254-fix-conversion-of-in-kernel-to-userspace-state
    - kvm-i8254-cache-kernel-clock-offset-in-KVMPITState
    - kvm-i8254-finish-time-conversion-fix
    to fix time passing too quickly in some guests. (LP: #1046771)
 -- Serge Hallyn <email address hidden> Thu, 06 Sep 2012 10:06:41 -0500

Changed in qemu-kvm (Ubuntu Quantal):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers